diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/vector.h ns-3.44/src/core/model/vector.h
--- ns-3.43/src/core/model/vector.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/vector.h	2025-03-09 16:55:49.367371000 -0700
@@ -12,8 +12,8 @@
 #include "attribute.h"
 
 /**
- * \file
- * \ingroup geometry
+ * @file
+ * @ingroup geometry
  * ns3::Vector, ns3::Vector2D and ns3::Vector3D declarations.
  */
 
@@ -21,23 +21,23 @@
 {
 
 /**
- * \ingroup core
- * \defgroup geometry Geometry primitives
- * \brief Primitives for geometry, such as vectors and angles.
+ * @ingroup core
+ * @defgroup geometry Geometry primitives
+ * @brief Primitives for geometry, such as vectors and angles.
  */
 
 /**
- * \ingroup geometry
- * \brief a 3d vector
- * \see attribute_Vector3D
+ * @ingroup geometry
+ * @brief a 3d vector
+ * @see attribute_Vector3D
  */
 class Vector3D
 {
   public:
     /**
-     * \param [in] _x X coordinate of vector
-     * \param [in] _y Y coordinate of vector
-     * \param [in] _z Z coordinate of vector
+     * @param [in] _x X coordinate of vector
+     * @param [in] _y Y coordinate of vector
+     * @param [in] _z Z coordinate of vector
      *
      * Create vector (_x, _y, _z)
      */
@@ -51,29 +51,29 @@
 
     /**
      * Compute the length (magnitude) of the vector.
-     * \returns the vector length.
+     * @returns the vector length.
      */
     double GetLength() const;
 
     /**
      * Compute the squared length of the vector.
-     * \returns the vector length squared.
+     * @returns the vector length squared.
      */
     double GetLengthSquared() const;
 
     /**
-     * \brief Calculate the Cartesian distance between two points.
-     * \param [in] a One point
-     * \param [in] b Another point
-     * \returns The distance between \pname{a} and \pname{b}.
+     * @brief Calculate the Cartesian distance between two points.
+     * @param [in] a One point
+     * @param [in] b Another point
+     * @returns The distance between \pname{a} and \pname{b}.
      */
     friend double CalculateDistance(const Vector3D& a, const Vector3D& b);
 
     /**
-     * \brief Calculate the squared Cartesian distance between two points.
-     * \param [in] a One point
-     * \param [in] b Another point
-     * \returns The distance between \pname{a} and \pname{b}.
+     * @brief Calculate the squared Cartesian distance between two points.
+     * @param [in] a One point
+     * @param [in] b Another point
+     * @returns The distance between \pname{a} and \pname{b}.
      */
     friend double CalculateDistanceSquared(const Vector3D& a, const Vector3D& b);
 
@@ -81,9 +81,9 @@
      * Output streamer.
      * Vectors are written as "x:y:z".
      *
-     * \param [in,out] os The stream.
-     * \param [in] vector The vector to stream
-     * \return The stream.
+     * @param [in,out] os The stream.
+     * @param [in] vector The vector to stream
+     * @return The stream.
      */
     friend std::ostream& operator<<(std::ostream& os, const Vector3D& vector);
 
@@ -92,112 +92,112 @@
      *
      * Vectors are expected to be in the form "x:y:z".
      *
-     * \param [in,out] is The stream.
-     * \param [in] vector The vector.
-     * \returns The stream.
+     * @param [in,out] is The stream.
+     * @param [in] vector The vector.
+     * @returns The stream.
      */
     friend std::istream& operator>>(std::istream& is, Vector3D& vector);
 
     /**
      * Less than comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is less than \pname{b}
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is less than \pname{b}
      */
     friend bool operator<(const Vector3D& a, const Vector3D& b);
 
     /**
      * Less than or equal to comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is less than or equal to \pname{b}.
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is less than or equal to \pname{b}.
      */
     friend bool operator<=(const Vector3D& a, const Vector3D& b);
 
     /**
      * Greater than comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is greater than \pname{b}.
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is greater than \pname{b}.
      */
     friend bool operator>(const Vector3D& a, const Vector3D& b);
 
     /**
      * Greater than or equal to comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is greater than or equal to \pname{b}.
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is greater than or equal to \pname{b}.
      */
     friend bool operator>=(const Vector3D& a, const Vector3D& b);
 
     /**
      * Equality operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns \c true if \pname{a} is equal to \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns \c true if \pname{a} is equal to \pname{b}.
      */
     friend bool operator==(const Vector3D& a, const Vector3D& b);
 
     /**
      * Inequality operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns \c true if \pname{a} is not equal to \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns \c true if \pname{a} is not equal to \pname{b}.
      */
     friend bool operator!=(const Vector3D& a, const Vector3D& b);
 
     /**
      * Addition operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns The vector sum of \pname{a} and \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns The vector sum of \pname{a} and \pname{b}.
      */
     friend Vector3D operator+(const Vector3D& a, const Vector3D& b);
 
     /**
      * Subtraction operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns The vector difference of \pname{a} and \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns The vector difference of \pname{a} and \pname{b}.
      */
     friend Vector3D operator-(const Vector3D& a, const Vector3D& b);
 
     /**
      * Scalar multiplication operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs scalar.
-     * \returns The vector \pname{a} scaled by \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs scalar.
+     * @returns The vector \pname{a} scaled by \pname{b}.
      */
     friend Vector3D operator*(const Vector3D& a, double b);
 
     /**
      * Scalar multiplication operator.
-     * \param [in] a lhs scalar.
-     * \param [in] b rhs vector.
-     * \returns The vector \pname{b} scaled by \pname{a}.
+     * @param [in] a lhs scalar.
+     * @param [in] b rhs vector.
+     * @returns The vector \pname{b} scaled by \pname{a}.
      */
     friend Vector3D operator*(double a, const Vector3D& b);
 
     /**
      * Dot product operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns The dot product of \pname{a} and \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns The dot product of \pname{a} and \pname{b}.
      */
     friend double operator*(const Vector3D& a, const Vector3D& b);
 };
 
 /**
- * \ingroup geometry
- * \brief a 2d vector
- * \see attribute_Vector2D
+ * @ingroup geometry
+ * @brief a 2d vector
+ * @see attribute_Vector2D
  */
 class Vector2D
 {
   public:
     /**
-     * \param [in] _x X coordinate of vector
-     * \param [in] _y Y coordinate of vector
+     * @param [in] _x X coordinate of vector
+     * @param [in] _y Y coordinate of vector
      *
      * Create vector (_x, _y)
      */
@@ -208,25 +208,25 @@
     double y; //!< y coordinate of vector
 
     // works:  /** \copydoc ns3::Vector3D::GetLength() */
-    /** \copydoc Vector3D::GetLength() */
+    /** @copydoc Vector3D::GetLength() */
     double GetLength() const;
 
-    /** \copydoc Vector3D::GetLengthSquared() */
+    /** @copydoc Vector3D::GetLengthSquared() */
     double GetLengthSquared() const;
 
     /**
-     * \brief Calculate the Cartesian distance between two points.
-     * \param [in] a One point
-     * \param [in] b Another point
-     * \returns The distance between \pname{a} and \pname{b}.
+     * @brief Calculate the Cartesian distance between two points.
+     * @param [in] a One point
+     * @param [in] b Another point
+     * @returns The distance between \pname{a} and \pname{b}.
      */
     friend double CalculateDistance(const Vector2D& a, const Vector2D& b);
 
     /**
-     * \brief Calculate the squared Cartesian distance between two points.
-     * \param [in] a One point
-     * \param [in] b Another point
-     * \returns The distance between \pname{a} and \pname{b}.
+     * @brief Calculate the squared Cartesian distance between two points.
+     * @param [in] a One point
+     * @param [in] b Another point
+     * @returns The distance between \pname{a} and \pname{b}.
      */
     friend double CalculateDistanceSquared(const Vector2D& a, const Vector2D& b);
 
@@ -234,9 +234,9 @@
      * Output streamer.
      * Vectors are written as "x:y".
      *
-     * \param [in,out] os The stream.
-     * \param [in] vector The vector to stream
-     * \return The stream.
+     * @param [in,out] os The stream.
+     * @param [in] vector The vector to stream
+     * @return The stream.
      */
     friend std::ostream& operator<<(std::ostream& os, const Vector2D& vector);
 
@@ -245,97 +245,97 @@
      *
      * Vectors are expected to be in the form "x:y".
      *
-     * \param [in,out] is The stream.
-     * \param [in] vector The vector.
-     * \returns The stream.
+     * @param [in,out] is The stream.
+     * @param [in] vector The vector.
+     * @returns The stream.
      */
     friend std::istream& operator>>(std::istream& is, Vector2D& vector);
 
     /**
      * Less than comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is less than \pname{b}
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is less than \pname{b}
      */
     friend bool operator<(const Vector2D& a, const Vector2D& b);
 
     /**
      * Less than or equal to comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is less than or equal to \pname{b}.
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is less than or equal to \pname{b}.
      */
     friend bool operator<=(const Vector2D& a, const Vector2D& b);
 
     /**
      * Greater than comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is greater than \pname{b}.
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is greater than \pname{b}.
      */
     friend bool operator>(const Vector2D& a, const Vector2D& b);
 
     /**
      * Greater than or equal to comparison operator
-     * \param [in] a lhs vector
-     * \param [in] b rhs vector
-     * \returns \c true if \pname{a} is greater than or equal to \pname{b}.
+     * @param [in] a lhs vector
+     * @param [in] b rhs vector
+     * @returns \c true if \pname{a} is greater than or equal to \pname{b}.
      */
     friend bool operator>=(const Vector2D& a, const Vector2D& b);
 
     /**
      * Equality operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns \c true if \pname{a} is equal to \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns \c true if \pname{a} is equal to \pname{b}.
      */
     friend bool operator==(const Vector2D& a, const Vector2D& b);
 
     /**
      * Inequality operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns \c true if \pname{a} is not equal to \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns \c true if \pname{a} is not equal to \pname{b}.
      */
     friend bool operator!=(const Vector2D& a, const Vector2D& b);
 
     /**
      * Addition operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns The vector sum of \pname{a} and \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns The vector sum of \pname{a} and \pname{b}.
      */
     friend Vector2D operator+(const Vector2D& a, const Vector2D& b);
 
     /**
      * Subtraction operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns The vector difference of \pname{a} and \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns The vector difference of \pname{a} and \pname{b}.
      */
     friend Vector2D operator-(const Vector2D& a, const Vector2D& b);
 
     /**
      * Scalar multiplication operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs scalar.
-     * \returns The vector \pname{a} scaled by \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs scalar.
+     * @returns The vector \pname{a} scaled by \pname{b}.
      */
     friend Vector2D operator*(const Vector2D& a, double b);
 
     /**
      * Scalar multiplication operator.
-     * \param [in] a lhs scalar.
-     * \param [in] b rhs vector.
-     * \returns The vector \pname{b} scaled by \pname{a}.
+     * @param [in] a lhs scalar.
+     * @param [in] b rhs vector.
+     * @returns The vector \pname{b} scaled by \pname{a}.
      */
     friend Vector2D operator*(double a, const Vector2D& b);
 
     /**
      * Dot product operator.
-     * \param [in] a lhs vector.
-     * \param [in] b rhs vector.
-     * \returns The dot product of \pname{a} and \pname{b}.
+     * @param [in] a lhs vector.
+     * @param [in] b rhs vector.
+     * @returns The dot product of \pname{a} and \pname{b}.
      */
     friend double operator*(const Vector2D& a, const Vector2D& b);
 };
@@ -355,22 +355,22 @@
 ATTRIBUTE_HELPER_HEADER(Vector2D);
 
 /**
- * \ingroup attribute_Vector3D
- * \relates Vector3D
+ * @ingroup attribute_Vector3D
+ * @relates Vector3D
  * Vector alias typedef for compatibility with mobility models
  */
 typedef Vector3D Vector;
 
 /**
- * \ingroup attribute_Vector3D
- * \relates Vector3D
+ * @ingroup attribute_Vector3D
+ * @relates Vector3D
  * Vector alias typedef for compatibility with mobility models
  */
 typedef Vector3DValue VectorValue;
 
 /**
- * \ingroup attribute_Vector3D
- * \relates Vector3D
+ * @ingroup attribute_Vector3D
+ * @relates Vector3D
  * Vector alias typedef for compatibility with mobility models
  */
 typedef Vector3DChecker VectorChecker;
@@ -384,24 +384,24 @@
 // Document these by hand so they go in group attribute_Vector3D
 
 /**
- * \ingroup attribute_Vector3D
+ * @ingroup attribute_Vector3D
  * \fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakeVectorAccessor (T1 a1)
- * \copydoc ns3::MakeAccessorHelper(T1)
- * \see AttributeAccessor
+ * @copydoc ns3::MakeAccessorHelper(T1)
+ * @see AttributeAccessor
  */
 
 /**
- * \ingroup attribute_Vector3D
+ * @ingroup attribute_Vector3D
  * \fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakeVectorAccessor (T1 a1, T2 a2)
- * \copydoc ns3::MakeAccessorHelper(T1,T2)
- * \see AttributeAccessor
+ * @copydoc ns3::MakeAccessorHelper(T1,T2)
+ * @see AttributeAccessor
  */
 
 /**
- * \ingroup attribute_Vector3D
+ * @ingroup attribute_Vector3D
  * \fn ns3::Ptr<const ns3::AttributeChecker> ns3::MakeVectorChecker ()
- * \returns The AttributeChecker.
- * \see AttributeChecker
+ * @returns The AttributeChecker.
+ * @see AttributeChecker
  */
 
 #endif /* NS3_VECTOR_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/version.cache ns-3.44/src/core/model/version.cache
--- ns-3.43/src/core/model/version.cache	2024-10-09 16:41:49.368803700 -0700
+++ ns-3.44/src/core/model/version.cache	2025-03-09 16:56:26.395509200 -0700
@@ -1,10 +1,10 @@
-CLOSEST_TAG = '"ns-3.43"'
-VERSION_COMMIT_HASH = '"g753817468"'
+CLOSEST_TAG = '"ns-3.44"'
+VERSION_COMMIT_HASH = '"g43dce6710"'
 VERSION_DIRTY_FLAG = '0'
 VERSION_MAJOR = '3'
-VERSION_MINOR = '43'
+VERSION_MINOR = '44'
 VERSION_PATCH = '0'
 VERSION_RELEASE_CANDIDATE = '""'
-VERSION_TAG = '"ns-3.43"'
+VERSION_TAG = '"ns-3.44"'
 VERSION_TAG_DISTANCE = '0'
 VERSION_BUILD_PROFILE = 'default'
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/version.cc ns-3.44/src/core/model/version.cc
--- ns-3.43/src/core/model/version.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/version.cc	2025-03-09 16:55:49.367371000 -0700
@@ -13,8 +13,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup buildversion
+ * @file
+ * @ingroup buildversion
  * ns3::Version implementation
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/version.h ns-3.44/src/core/model/version.h
--- ns-3.43/src/core/model/version.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/version.h	2025-03-09 16:55:49.367371000 -0700
@@ -14,8 +14,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup buildversion
+ * @file
+ * @ingroup buildversion
  * class ns3::Version definition
  */
 
@@ -23,8 +23,8 @@
 {
 
 /**
- * \ingroup core
- * \defgroup buildversion Build version reporting
+ * @ingroup core
+ * @defgroup buildversion Build version reporting
  *
  * Version information is pulled from the local git repository during the build
  * process.  If a git repository is not found, the build system will search for
@@ -38,7 +38,7 @@
  */
 
 /**
- * \ingroup buildversion
+ * @ingroup buildversion
  *
  * Helper class providing functions to access various parts of the version
  * string, as well as functions for composing short and long variants of the
@@ -52,10 +52,10 @@
  *
  * Below is a partial view of a git branch:
  *
- * \note Square nodes represent tags
- * \note Circle nodes represent commits
+ * @note Square nodes represent tags
+ * @note Circle nodes represent commits
  *
- * \dot
+ * @dot
  * digraph {
  *   vt [label="ns-3.32", shape="box"]
  *   t  [label="mytag", shape="box"]
@@ -69,7 +69,7 @@
  *   t -> c2
  *   vt -> c4
  * }
- * \enddot
+ * @enddot
  *
  * Here are the values that will be assigned based on this example branch:
  *
@@ -94,12 +94,12 @@
      * Returns the ns-3 version tag of the closest ancestor commit.
      *
      * The format of the tag is
-     * \verbatim ns3-<major>.<minor>[.patch] \endverbatim
+     * @verbatim ns3-<major>.<minor>[.patch] \endverbatim
      *
      * The patch field is optional and may not be present.  The value of
      * patch defaults to 0 if the tag does not have a patch field.
      *
-     * \return ns-3 version tag
+     * @return ns-3 version tag
      */
     static std::string VersionTag();
 
@@ -110,7 +110,7 @@
      * The value returned by this function may be the same as VersionTag()
      * if the ns-3 version tag is the closest ancestor tag.
      *
-     * \return Closest tag attached to an ancestor of the current commit
+     * @return Closest tag attached to an ancestor of the current commit
      */
     static std::string ClosestAncestorTag();
 
@@ -118,11 +118,11 @@
      * Major component of the build version
      *
      * The format of the build version string is
-     * \verbatim ns-<major>.<minor>[.patch][-RC<digit>] \endverbatim
+     * @verbatim ns-<major>.<minor>[.patch][-RC<digit>] \endverbatim
      *
      * The major component is the number before the first period
      *
-     * \return The major component of the build version
+     * @return The major component of the build version
      */
     static uint32_t Major();
 
@@ -130,11 +130,11 @@
      * Minor component of the build version
      *
      * The format of the build version string is
-     * \verbatim ns-<major>.<minor>[.patch][-RC<digit>] \endverbatim
+     * @verbatim ns-<major>.<minor>[.patch][-RC<digit>] \endverbatim
      *
      * The minor component is the number after the first period
      *
-     * \return The minor component of the build version
+     * @return The minor component of the build version
      */
     static uint32_t Minor();
 
@@ -142,11 +142,11 @@
      * Patch component of the build version
      *
      * A build version with a patch component will have the format
-     * \verbatim ns-<major>.<minor>.<patch> \endverbatim
+     * @verbatim ns-<major>.<minor>.<patch> \endverbatim
      *
      * The patch component is the number after the second period
      *
-     * \return The patch component of the build version or 0 if the build version
+     * @return The patch component of the build version or 0 if the build version
      * does not have a patch component
      */
     static uint32_t Patch();
@@ -155,11 +155,11 @@
      * Release candidate component of the build version
      *
      * A build version with a release candidate will have the format
-     * \verbatim ns-<major>.<minor>[.patch]-RC<digit> \endverbatim
+     * @verbatim ns-<major>.<minor>[.patch]-RC<digit> \endverbatim
      *
      * The string returned by this function will have the format RC<digit>
      *
-     * \return The release candidate component of the build version or an empty
+     * @return The release candidate component of the build version or an empty
      * string if the build version does not have a release candidate component
      */
     static std::string ReleaseCandidate();
@@ -168,14 +168,14 @@
      * The number of commits between the current
      * commit and the tag returned by ClosestAncestorTag().
      *
-     * \return The number of commits made since the last tagged commit
+     * @return The number of commits made since the last tagged commit
      */
     static uint32_t TagDistance();
 
     /**
      * Indicates whether there were uncommitted changes during the build
      *
-     * \return \c true if the working tree had uncommitted changes.
+     * @return \c true if the working tree had uncommitted changes.
      */
     static bool DirtyWorkingTree();
 
@@ -191,7 +191,7 @@
      *
      * Example of hash output: g6bfb0c9
      *
-     * \return hexadecimal representation of the most recent commit id
+     * @return hexadecimal representation of the most recent commit id
      */
     static std::string CommitHash();
 
@@ -200,7 +200,7 @@
      *
      * This information is set by the --build-profile option of ns3 configure
      *
-     * \return String containing the type of build
+     * @return String containing the type of build
      */
     static std::string BuildProfile();
 
@@ -209,7 +209,7 @@
      * and indication of additional commits or dirty status.
      *
      * The format of the constructed string is
-     * \verbatim ns-<major>.<minor>[.patch][-rc]<flags> \endverbatim
+     * @verbatim ns-<major>.<minor>[.patch][-rc]<flags> \endverbatim
      *
      *   * [patch] is included when Patch() > 0.
      *   * [-rc] is included when ReleaseCandidate() contains a non-empty string
@@ -219,7 +219,7 @@
      * [flags] will contain none, one, or both characters depending on the state
      * of the branch
      *
-     * \return String containing the ns-3 major and minor components and flags.
+     * @return String containing the ns-3 major and minor components and flags.
      */
     static std::string ShortVersion();
 
@@ -237,7 +237,7 @@
      * [flags] will contain none, one, or both characters depending on the state
      * of the branch
      *
-     * \return String containing the closest ancestor tag and flags.
+     * @return String containing the closest ancestor tag and flags.
      */
     static std::string BuildSummary();
 
@@ -245,9 +245,9 @@
      * Constructs a string containing all of the build details
      *
      * The format of the constructed string is
-     * \verbatim
+     * @verbatim
      * ns-<major>.<minor>[.patch][-rc][-closest-tag]-<tag-distance>@<hash>[-dirty]-<build-profile>
-     * \endverbatim
+     * @endverbatim
      *
      * [patch], [rc], [closest-tag], and [dirty] will only be present under certain circumstances:
      *   * [patch] is included when Patch() > 0
@@ -255,7 +255,7 @@
      *   * [closest-tag] is included when ClosestTag() != VersionTag()
      *   * [dirty] is included when DirtyWorkingTree() is \c true
      *
-     * \return String containing full version
+     * @return String containing full version
      */
     static std::string LongVersion();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/wall-clock-synchronizer.cc ns-3.44/src/core/model/wall-clock-synchronizer.cc
--- ns-3.43/src/core/model/wall-clock-synchronizer.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/wall-clock-synchronizer.cc	2025-03-09 16:55:49.367371000 -0700
@@ -14,8 +14,8 @@
 #include <mutex>
 
 /**
- * \file
- * \ingroup realtime
+ * @file
+ * @ingroup realtime
  * ns3::WallClockSynchronizer implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/warnings.h ns-3.44/src/core/model/warnings.h
--- ns-3.43/src/core/model/warnings.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/warnings.h	2025-03-09 16:55:49.367371000 -0700
@@ -10,74 +10,74 @@
 #define NS3_WARNINGS_H
 
 /**
- * \defgroup warnings Compiler warnings
- * \ingroup core
+ * @defgroup warnings Compiler warnings
+ * @ingroup core
  *
  * Macros useful to silence compiler warnings on selected code parts.
  */
 
 /**
- * \ingroup warnings
- * \def NS_WARNING_POP
+ * @ingroup warnings
+ * @def NS_WARNING_POP
  * Pops the diagnostic warning list from the stack, restoring it to the previous state.
  * \sa NS_WARNING_PUSH
  */
 
 /**
- * \ingroup warnings
- * \def NS_WARNING_PUSH
+ * @ingroup warnings
+ * @def NS_WARNING_PUSH
  * Push the diagnostic warning list to the stack, allowing it to be restored later.
  * \sa NS_WARNING_POP
  */
 
 /**
- * \ingroup warnings
- * \def NS_WARNING_SILENCE_DEPRECATED
+ * @ingroup warnings
+ * @def NS_WARNING_SILENCE_DEPRECATED
  * Silences the "-Wdeprecated-declarations" warnings.
  * \sa NS_WARNING_POP
  */
 
 /**
- * \ingroup warnings
- * \def NS_WARNING_SILENCE_MAYBE_UNINITIALIZED
+ * @ingroup warnings
+ * @def NS_WARNING_SILENCE_MAYBE_UNINITIALIZED
  * Silences GCC "-Wmaybe-uninitialized" warnings.
  * \sa NS_WARNING_POP
  */
 
 /**
- * \ingroup warnings
- * \def NS_WARNING_PUSH_DEPRECATED
+ * @ingroup warnings
+ * @def NS_WARNING_PUSH_DEPRECATED
  * Save the current warning list and disables the ones about deprecated functions and classes.
  *
  * This macro can be used to silence deprecation warnings and should be used as a last resort
  * to silence the compiler for very specific lines of code.
  * The typical pattern is:
- * \code
+ * @code
  *   NS_WARNING_PUSH_DEPRECATED;
  *   // call to a function or class that has been deprecated.
  *   NS_WARNING_POP;
- * \endcode
+ * @endcode
  *
  * This macro is equivalent to
- * \code
+ * @code
  *   NS_WARNING_PUSH;
  *   NS_WARNING_SILENCE_DEPRECATED;
- * \endcode
+ * @endcode
  *
  * Its use is, of course, not suggested unless strictly necessary.
  */
 
 /**
- * \ingroup warnings
- * \def NS_WARNING_PUSH_MAYBE_UNINITIALIZED
+ * @ingroup warnings
+ * @def NS_WARNING_PUSH_MAYBE_UNINITIALIZED
  * Save the current warning list and disables the ones about possible uninitialized variables.
  *
  *
  * This macro is equivalent to
- * \code
+ * @code
  *   NS_WARNING_PUSH;
  *   NS_WARNING_SILENCE_MAYBE_UNINITIALIZED;
- * \endcode
+ * @endcode
  *
  * \sa NS_WARNING_PUSH_DEPRECATED
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/watchdog.cc ns-3.44/src/core/model/watchdog.cc
--- ns-3.43/src/core/model/watchdog.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/watchdog.cc	2025-03-09 16:55:49.367371000 -0700
@@ -10,8 +10,8 @@
 #include "log.h"
 
 /**
- * \file
- * \ingroup timer
+ * @file
+ * @ingroup timer
  * ns3::Watchdog timer class implementation.
  */
 
@@ -23,7 +23,7 @@
 Watchdog::Watchdog()
     : m_impl(nullptr),
       m_event(),
-      m_end(MicroSeconds(0))
+      m_end()
 {
     NS_LOG_FUNCTION_NOARGS();
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/watchdog.h ns-3.44/src/core/model/watchdog.h
--- ns-3.43/src/core/model/watchdog.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/watchdog.h	2025-03-09 16:55:49.367371000 -0700
@@ -12,8 +12,8 @@
 #include "nstime.h"
 
 /**
- * \file
- * \ingroup timer
+ * @file
+ * @ingroup timer
  * ns3::Watchdog timer class declaration.
  */
 
@@ -28,8 +28,8 @@
 } // namespace internal
 
 /**
- * \ingroup timer
- * \brief A very simple watchdog operating in virtual time.
+ * @ingroup timer
+ * @brief A very simple watchdog operating in virtual time.
  *
  * The watchdog timer is started by calling Ping with a delay value.
  * Once started the timer cannot be suspended, cancelled or shortened.
@@ -45,7 +45,7 @@
  * If you don't ping the watchdog sufficiently often, it triggers its
  * listening function.
  *
- * \see Timer for a more sophisticated general purpose timer.
+ * @see Timer for a more sophisticated general purpose timer.
  */
 class Watchdog
 {
@@ -58,7 +58,7 @@
     /**
      * Delay the timer.
      *
-     * \param [in] delay The watchdog delay
+     * @param [in] delay The watchdog delay
      *
      * After a call to this method, the watchdog will not be triggered
      * until the delay specified has been expired. This operation is
@@ -69,8 +69,8 @@
     /**
      * Set the function to execute when the timer expires.
      *
-     * \tparam FN \deduced The type of the function.
-     * \param [in] fn The function
+     * @tparam FN \deduced The type of the function.
+     * @param [in] fn The function
      *
      * Store this function in this Timer for later use by Timer::Schedule.
      */
@@ -80,10 +80,10 @@
     /**
      * Set the function to execute when the timer expires.
      *
-     * \tparam MEM_PTR \deduced Class method function type.
-     * \tparam OBJ_PTR \deduced Class type containing the function.
-     * \param [in] memPtr The member function pointer
-     * \param [in] objPtr The pointer to object
+     * @tparam MEM_PTR \deduced Class method function type.
+     * @tparam OBJ_PTR \deduced Class type containing the function.
+     * @param [in] memPtr The member function pointer
+     * @param [in] objPtr The pointer to object
      *
      * Store this function and object in this Timer for later use by Timer::Schedule.
      */
@@ -95,8 +95,8 @@
      */
     /**@{*/
     /**
-     * \tparam Ts \deduced Argument types.
-     * \param [in] args arguments
+     * @tparam Ts \deduced Argument types.
+     * @param [in] args arguments
      */
     template <typename... Ts>
     void SetArguments(Ts&&... args);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/win32-fd-reader.cc ns-3.44/src/core/model/win32-fd-reader.cc
--- ns-3.43/src/core/model/win32-fd-reader.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/win32-fd-reader.cc	2025-03-09 16:55:49.367371000 -0700
@@ -20,8 +20,8 @@
 // #define pipe(fds) _pipe(fds,4096, _O_BINARY)
 
 /**
- * \file
- * \ingroup system
+ * @file
+ * @ingroup system
  * ns3::FdReader implementation.
  */
 
